Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363850 - [drm:qxl_alloc_bo_reserved [qxl]] *ERROR* failed to allocate VRAM BO
Summary: [drm:qxl_alloc_bo_reserved [qxl]] *ERROR* failed to allocate VRAM BO
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alon Levy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 17:40 UTC by Chris Murphy
Modified: 2017-12-12 10:28 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:17 UTC


Attachments (Terms of Use)
dmesg (deleted)
2016-08-03 17:42 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2016-08-03 17:40:54 UTC
Description of problem:

Host: Fedora 24 qemu-kvm
Guest: Fedora 25 workstation

[  414.225517] [TTM] Buffer eviction failed
[  414.226259] qxl 0000:00:02.0: object_init failed for (4026540032, 0x00000001)
[  414.226834] [drm:qxl_alloc_bo_reserved [qxl]] *ERROR* failed to allocate VRAM BO



Version-Release number of selected component (if applicable):
xorg-x11-drv-qxl-0.1.4-8.fc25.x86_64
kernel-4.8.0-0.rc0.git3.1.fc25.x86_64



How reproducible:
Always, every boot and occasionally thereafter.


Steps to Reproduce:
1.
2.
3.

Actual results:

[   14.180233] qxl 0000:00:02.0: object_init failed for (4026540032, 0x00000001)
[   14.183838] [drm:qxl_alloc_bo_reserved [qxl]] *ERROR* failed to allocate VRAM BO
[  414.225517] [TTM] Buffer eviction failed
[  414.226259] qxl 0000:00:02.0: object_init failed for (4026540032, 0x00000001)
[  414.226834] [drm:qxl_alloc_bo_reserved [qxl]] *ERROR* failed to allocate VRAM BO
[  414.226259] qxl 0000:00:02.0: object_init failed for (4026540032, 0x00000001)
[  414.226834] [drm:qxl_alloc_bo_reserved [qxl]] *ERROR* failed to allocate VRAM BO




Expected results:


Additional info:

Comment 1 Chris Murphy 2016-08-03 17:42:11 UTC
Could be related to bug 1361833.

Comment 2 Chris Murphy 2016-08-03 17:42:29 UTC
Created attachment 1187152 [details]
dmesg

Comment 3 Chris Murphy 2016-08-03 17:44:25 UTC
/usr/bin/qemu-system-x86_64 -machine accel=kvm -name fedora,debug-threads=on -S -machine pc-i440fx-2.4,accel=kvm,usb=off,vmport=off -cpu SandyBridge -m 3072 -realtime mlock=off -smp 3,sockets=3,cores=1,threads=1 -uuid d41a0b49-801f-4b4d-9a6a-8aa5d93d898d -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/domain-2-fedora/monitor.sock,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-hpet -no-shutdown -global PIIX4_PM.disable_s3=1 -global PIIX4_PM.disable_s4=1 -boot strict=on -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x6.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x6 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x6.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x6.0x2 -device ahci,id=sata0,bus=pci.0,addr=0x8 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive if=none,media=cdrom,id=drive-sata0-0-1,readonly=on -device ide-cd,bus=sata0.1,drive=drive-sata0-0-1,id=sata0-0-1 -drive file=/var/lib/libvirt/images/bios_f25btr1.qcow2,format=qcow2,if=none,id=drive-virtio-disk0,cache=unsafe,aio=threads -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x9,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=25,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:3f:7e:76,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -spice port=5900,addr=127.0.0.1,disable-ticketing,image-compression=off,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vram64_size_mb=0,vgamem_mb=16,bus=pci.0,addr=0x2 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7 -msg timestamp=on

Comment 4 _MiW 2016-10-09 17:21:10 UTC
virt-manager will default to qxl for the video model for a new VM.
This causes issues with the latest Arch Linux install media.

This issue occurred for me booting archlinux-2016.10.01-dual.iso on with virt-manager.
Host was running Arch Linux. This made use very difficult to use or install the OS as the error would popup on the console very frequently, practically unusable.
Arch install media boots into a console, not display manager or X.

virt-manager 1.4.0-2 
libvirt  2.2.0-1
qemu 2.7.0-2

As per https://bbs.archlinux.org/viewtopic.php?id=215839 I changed the video mode to VirtIO and the error no longer occurred.

Comment 5 Fedora End Of Life 2017-11-16 19:42:52 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:28:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.